Bytecode Reader (CVS Head)

All,

If you're not working on the CVS Head, you can skip this.

I've just committed a long anticipated change to the Bytecode Reader:
deleting over 700 lines of backwards compatibility code. This will make
future changes easier to implement in the reader. Backwards
compatibility for bytecode versions 0 through 4 has been eliminated.
This means that bytecode generated by LLVM Versions 1.3 and earlier are
no longer supported. Bytecode version 5 (releases 1.4 through 1.8) and
bytecode version 6 (release 1.9) will continue to be upgraded to the
current bytecode version.

Hopefully this won't affect too many people but I thought I should send
a warning anyway.

Reid.